Subject: Re: Command-line git Vs IDE+plugin?

From: Keshav Kini <[email-masked]>
Date: Tue, 19 Nov 2013 10:55:10 -0600

Thomas Koch <[email-masked]> writes:
> But also from experience I can tell that without exception everybody whom I 
> teached Git understood it only after being introduced to the basic concepts of 
> Git and how to inspect and operate them on the commandline. Others told me 
> from similar experiences.
>
> Those concepts are:
>
> - hashes
> - content adressable storage
> - blops being referenced by trees being referenced by commits

A great reference I always point people to for exactly those reasons is
Sitaram Chamarty's "git concepts simplified":

    http://gitolite.com/gcs/

-Keshav